
From: Marcel Holtmann <marcel@holtmann.org>

The MODULE_PARM is deprecated now and should be replaced by module_param()
or module_param_named().

Signed-off-by: Marcel Holtmann <marcel@holtmann.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/capi/capi.c    |    7 ++++---
 25-akpm/drivers/isdn/capi/capidrv.c |    3 ++-
 25-akpm/drivers/isdn/capi/kcapi.c   |    3 ++-
 3 files changed, 8 insertions(+), 5 deletions(-)

diff -puN drivers/isdn/capi/capi.c~fix-deprecated-module_parm-for-capi-subsystem drivers/isdn/capi/capi.c
--- 25/drivers/isdn/capi/capi.c~fix-deprecated-module_parm-for-capi-subsystem	Thu Oct 28 15:26:20 2004
+++ 25-akpm/drivers/isdn/capi/capi.c	Thu Oct 28 15:26:20 2004
@@ -38,6 +38,7 @@
 #include <linux/kernelcapi.h>
 #include <linux/init.h>
 #include <linux/device.h>
+#include <linux/moduleparam.h>
 #include <linux/devfs_fs_kernel.h>
 #include <linux/isdn/capiutil.h>
 #include <linux/isdn/capicmd.h>
@@ -67,10 +68,10 @@ int capi_ttymajor = 191;
 int capi_ttyminors = CAPINC_NR_PORTS;
 #endif /* CONFIG_ISDN_CAPI_MIDDLEWARE */
 
-MODULE_PARM(capi_major, "i");
+module_param_named(major, capi_major, uint, 0);
 #ifdef CONFIG_ISDN_CAPI_MIDDLEWARE
-MODULE_PARM(capi_ttymajor, "i");
-MODULE_PARM(capi_ttyminors, "i");
+module_param_named(ttymajor, capi_ttymajor, uint, 0);
+module_param_named(ttyminors, capi_ttyminors, uint, 0);
 #endif /* CONFIG_ISDN_CAPI_MIDDLEWARE */
 
 /* -------- defines ------------------------------------------------- */
diff -puN drivers/isdn/capi/capidrv.c~fix-deprecated-module_parm-for-capi-subsystem drivers/isdn/capi/capidrv.c
--- 25/drivers/isdn/capi/capidrv.c~fix-deprecated-module_parm-for-capi-subsystem	Thu Oct 28 15:26:20 2004
+++ 25-akpm/drivers/isdn/capi/capidrv.c	Thu Oct 28 15:26:20 2004
@@ -29,6 +29,7 @@
 #include <linux/kernelcapi.h>
 #include <linux/ctype.h>
 #include <linux/init.h>
+#include <linux/moduleparam.h>
 
 #include <linux/isdn/capiutil.h>
 #include <linux/isdn/capicmd.h>
@@ -40,7 +41,7 @@ static int debugmode = 0;
 MODULE_DESCRIPTION("CAPI4Linux: Interface to ISDN4Linux");
 MODULE_AUTHOR("Carsten Paeth");
 MODULE_LICENSE("GPL");
-MODULE_PARM(debugmode, "i");
+module_param(debugmode, uint, 0);
 
 /* -------- type definitions ----------------------------------------- */
 
diff -puN drivers/isdn/capi/kcapi.c~fix-deprecated-module_parm-for-capi-subsystem drivers/isdn/capi/kcapi.c
--- 25/drivers/isdn/capi/kcapi.c~fix-deprecated-module_parm-for-capi-subsystem	Thu Oct 28 15:26:20 2004
+++ 25-akpm/drivers/isdn/capi/kcapi.c	Thu Oct 28 15:26:20 2004
@@ -24,6 +24,7 @@
 #include <linux/capi.h>
 #include <linux/kernelcapi.h>
 #include <linux/init.h>
+#include <linux/moduleparam.h>
 #include <linux/delay.h>
 #include <asm/uaccess.h>
 #include <linux/isdn/capicmd.h>
@@ -41,7 +42,7 @@ static int showcapimsgs = 0;
 MODULE_DESCRIPTION("CAPI4Linux: kernel CAPI layer");
 MODULE_AUTHOR("Carsten Paeth");
 MODULE_LICENSE("GPL");
-MODULE_PARM(showcapimsgs, "i");
+module_param(showcapimsgs, uint, 0);
 
 /* ------------------------------------------------------------- */
 
_
